dp12: XDp_Rx Struct Reference

| dp12 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDp_Rx Struct Reference
Dp_v6_0

The XDp driver instance data representing the RX mode of operation. More...

## Data Fields
XDp_RxTopology | Topology
| Topology of connected sinks to the RX. More...
XDp_RxLinkConfig | LinkConfig
| Configuration structure for the main link. More...
XDp_IntrHandler | IntrVmChangeHandler
| Callback function for video mode change interrupts. More...
void * | IntrVmChangeCallbackRef
| A pointer to the user data passed to the video mode change callback function. More...
XDp_IntrHandler | IntrPowerStateHandler
| Callback function for power state change interrupts. More...
void * | IntrPowerStateCallbackRef
| A pointer to the user data passed to the power state change callback function. More...
XDp_IntrHandler | IntrNoVideoHandler
| Callback function for no video interrupts. More...
void * | IntrNoVideoCallbackRef
| A pointer to the user data passed to the no video callback function. More...
XDp_IntrHandler | IntrVBlankHandler
| Callback function for vertical blanking interrupts. More...
void * | IntrVBlankCallbackRef
| A pointer to the user data passed to the vertical blanking callback function. More...
XDp_IntrHandler | IntrTrainingLostHandler
| Callback function for training lost interrupts. More...
void * | IntrTrainingLostCallbackRef
| A pointer to the user data passed to the training lost callback function. More...
XDp_IntrHandler | IntrVideoHandler
| Callback function for valid video interrupts. More...
void * | IntrVideoCallbackRef
| A pointer to the user data passed to the valid video callback function. More...
XDp_IntrHandler | IntrInfoPktHandler
| Callback function for audio info packet received interrupts. More...
void * | IntrInfoPktCallbackRef
| A pointer to the user data passed to the audio info packet callback function. More...
XDp_IntrHandler | IntrExtPktHandler
| Callback function for audio extension packet received interrupts. More...
void * | IntrExtPktCallbackRef
| A pointer to the user data passed to the audio extension packet callback function. More...
XDp_IntrHandler | IntrTrainingDoneHandler
| Callback function for training done interrupts. More...
void * | IntrTrainingDoneCallbackRef
| A pointer to the user data passed to the training done callback function. More...
XDp_IntrHandler | IntrBwChangeHandler
| Callback function for bandwidth change interrupts. More...
void * | IntrBwChangeCallbackRef
| A pointer to the user data passed to the bandwidth change callback function. More...
XDp_IntrHandler | IntrTp1Handler
| Callback function for training pattern 1 interrupts. More...
void * | IntrTp1CallbackRef
| A pointer to the user data passed to the training pattern 1 callback function. More...
XDp_IntrHandler | IntrTp2Handler
| Callback function for training pattern 2 interrupts. More...
void * | IntrTp2CallbackRef
| A pointer to the user data passed to the training pattern 2 callback function. More...
XDp_IntrHandler | IntrTp3Handler
| Callback function for training pattern 3 interrupts. More...
void * | IntrTp3CallbackRef
| A pointer to the user data passed to the training pattern 3 callback function. More...
XDp_IntrHandler | IntrDownReqHandler
| Callback function for down request interrupts. More...
void * | IntrDownReqCallbackRef
| A pointer to the user data passed to the down request callback function. More...
XDp_IntrHandler | IntrDownReplyHandler
| Callback function for down reply interrupts. More...
void * | IntrDownReplyCallbackRef
| A pointer to the user data passed to the down reply callback function. More...
XDp_IntrHandler | IntrAudioOverHandler
| Callback function for audio packet overflow interrupts. More...
void * | IntrAudioOverCallbackRef
| A pointer to the user data passed to the audio packet overflow callback function. More...
XDp_IntrHandler | IntrPayloadAllocHandler
| Callback function for payload allocation interrupts. More...
void * | IntrPayloadAllocCallbackRef
| A pointer to the user data passed to the payload allocation callback function. More...
XDp_IntrHandler | IntrActRxHandler
| Callback function for ACT sequence received interrupts. More...
void * | IntrActRxCallbackRef
| A pointer to the user data passed to the ACT sequence received callback function. More...
XDp_IntrHandler | IntrCrcTestHandler
| Callback function for CRC test start interrupts. More...
void * | IntrCrcTestCallbackRef
| A pointer to the user data passed to the CRC test start callback function. More...
XDp_IntrHandler | IntrHdcpDbgWrHandler
| Callback function for HDCP debug register write interrupts. More...
void * | IntrHdcpDbgWrCallbackRef
| A pointer to the user data passed to the hdcp debug register write callback function. More...
XDp_IntrHandler | IntrHdcpAksvWrHandler
| Callback function for HDCP Aksv MSB register write interrupts. More...
void * | IntrHdcpAksvWrCallbackRef
| A pointer to the user data passed to the HDCP Aksv MSB register write callback function. More...
XDp_IntrHandler | IntrHdcpAnWrHandler
| Callback function for HDCP An MSB register write interrupts. More...
void * | IntrHdcpAnWrCallbackRef
| A pointer to the user data passed to the HDCP An MSB register write callback function. More...
XDp_IntrHandler | IntrHdcpAinfoWrHandler
| Callback function for HDCP Ainfo register write interrupts. More...
void * | IntrHdcpAinfoWrCallbackRef
| A pointer to the user data passed to the HDCP Ainfo register write callback function. More...
XDp_IntrHandler | IntrHdcpRoRdHandler
| Callback function for HDCP Ro register read interrupts. More...
void * | IntrHdcpRoRdCallbackRef
| A pointer to the user data passed to the HDCP Ro register read callback function. More...
XDp_IntrHandler | IntrHdcpBinfoRdHandler
| Callback function for HDCP Binfo register read interrupts. More...
void * | IntrHdcpBinfoRdCallbackRef
| A pointer to the user data passed to the HDCP Binfo register read callback function. More...
XDp_IntrHandler | IntrUnplugHandler
| Callback function for unplug interrupts. More...
void * | IntrUnplugCallbackRef
| A pointer to the user data passed to the unplug callback function. More...
XDp_IntrHandler | IntrDrvPowerStateHandler
| Callback function for driver power state interrupt. More...
void * | IntrDrvPowerStateCallbackRef
| A pointer to the user data passed to the power state drv function. More...
XDp_IntrHandler | IntrDrvNoVideoHandler
| Callback function for driver no video interrupts. More...
void * | IntrDrvNoVideoCallbackRef
| A pointer to the user data passed to the no video drv function. More...
XDp_IntrHandler | IntrDrvVideoHandler
| Callback function for driver video interrupts. More...
void * | IntrDrvVideoCallbackRef
| A pointer to the user data passed to the video drv function. More...

## Detailed Description

The XDp driver instance data representing the RX mode of operation.

## Field Documentation

void* XDp_Rx::IntrActRxCallbackRef

A pointer to the user data passed to the ACT sequence received callback function.

XDp_IntrHandler XDp_Rx::IntrActRxHandler

Callback function for ACT sequence received interrupts.

void* XDp_Rx::IntrAudioOverCallbackRef

A pointer to the user data passed to the audio packet overflow callback function.

XDp_IntrHandler XDp_Rx::IntrAudioOverHandler

Callback function for audio packet overflow interrupts.

void* XDp_Rx::IntrBwChangeCallbackRef

A pointer to the user data passed to the bandwidth change callback function.

XDp_IntrHandler XDp_Rx::IntrBwChangeHandler

Callback function for bandwidth change interrupts.

void* XDp_Rx::IntrCrcTestCallbackRef

A pointer to the user data passed to the CRC test start callback function.

XDp_IntrHandler XDp_Rx::IntrCrcTestHandler

Callback function for CRC test start interrupts.

void* XDp_Rx::IntrDownReplyCallbackRef

A pointer to the user data passed to the down reply callback function.

XDp_IntrHandler XDp_Rx::IntrDownReplyHandler

Callback function for down reply interrupts.

void* XDp_Rx::IntrDownReqCallbackRef

A pointer to the user data passed to the down request callback function.

XDp_IntrHandler XDp_Rx::IntrDownReqHandler

Callback function for down request interrupts.

void* XDp_Rx::IntrDrvNoVideoCallbackRef

A pointer to the user data passed to the no video drv function.

XDp_IntrHandler XDp_Rx::IntrDrvNoVideoHandler

Callback function for driver no video interrupts.

void* XDp_Rx::IntrDrvPowerStateCallbackRef

A pointer to the user data passed to the power state drv function.

XDp_IntrHandler XDp_Rx::IntrDrvPowerStateHandler

Callback function for driver power state interrupt.

void* XDp_Rx::IntrDrvVideoCallbackRef

A pointer to the user data passed to the video drv function.

XDp_IntrHandler XDp_Rx::IntrDrvVideoHandler

Callback function for driver video interrupts.

void* XDp_Rx::IntrExtPktCallbackRef

A pointer to the user data passed to the audio extension packet callback function.

XDp_IntrHandler XDp_Rx::IntrExtPktHandler

Callback function for audio extension packet received interrupts.

void* XDp_Rx::IntrHdcpAinfoWrCallbackRef

A pointer to the user data passed to the HDCP Ainfo register write callback function.

XDp_IntrHandler XDp_Rx::IntrHdcpAinfoWrHandler

Callback function for HDCP Ainfo register write interrupts.

void* XDp_Rx::IntrHdcpAksvWrCallbackRef

A pointer to the user data passed to the HDCP Aksv MSB register write callback function.

XDp_IntrHandler XDp_Rx::IntrHdcpAksvWrHandler

Callback function for HDCP Aksv MSB register write interrupts.

void* XDp_Rx::IntrHdcpAnWrCallbackRef

A pointer to the user data passed to the HDCP An MSB register write callback function.

XDp_IntrHandler XDp_Rx::IntrHdcpAnWrHandler

Callback function for HDCP An MSB register write interrupts.

void* XDp_Rx::IntrHdcpBinfoRdCallbackRef

A pointer to the user data passed to the HDCP Binfo register read callback function.

XDp_IntrHandler XDp_Rx::IntrHdcpBinfoRdHandler

Callback function for HDCP Binfo register read interrupts.

void* XDp_Rx::IntrHdcpDbgWrCallbackRef

A pointer to the user data passed to the hdcp debug register write callback function.

XDp_IntrHandler XDp_Rx::IntrHdcpDbgWrHandler

Callback function for HDCP debug register write interrupts.

void* XDp_Rx::IntrHdcpRoRdCallbackRef

A pointer to the user data passed to the HDCP Ro register read callback function.

XDp_IntrHandler XDp_Rx::IntrHdcpRoRdHandler

Callback function for HDCP Ro register read interrupts.

void* XDp_Rx::IntrInfoPktCallbackRef

A pointer to the user data passed to the audio info packet callback function.

XDp_IntrHandler XDp_Rx::IntrInfoPktHandler

Callback function for audio info packet received interrupts.

void* XDp_Rx::IntrNoVideoCallbackRef

A pointer to the user data passed to the no video callback function.

XDp_IntrHandler XDp_Rx::IntrNoVideoHandler

Callback function for no video interrupts.

void* XDp_Rx::IntrPayloadAllocCallbackRef

A pointer to the user data passed to the payload allocation callback function.

XDp_IntrHandler XDp_Rx::IntrPayloadAllocHandler

Callback function for payload allocation interrupts.

void* XDp_Rx::IntrPowerStateCallbackRef

A pointer to the user data passed to the power state change callback function.

XDp_IntrHandler XDp_Rx::IntrPowerStateHandler

Callback function for power state change interrupts.

void* XDp_Rx::IntrTp1CallbackRef

A pointer to the user data passed to the training pattern 1 callback function.

XDp_IntrHandler XDp_Rx::IntrTp1Handler

Callback function for training pattern 1 interrupts.

void* XDp_Rx::IntrTp2CallbackRef

A pointer to the user data passed to the training pattern 2 callback function.

XDp_IntrHandler XDp_Rx::IntrTp2Handler

Callback function for training pattern 2 interrupts.

void* XDp_Rx::IntrTp3CallbackRef

A pointer to the user data passed to the training pattern 3 callback function.

XDp_IntrHandler XDp_Rx::IntrTp3Handler

Callback function for training pattern 3 interrupts.

void* XDp_Rx::IntrTrainingDoneCallbackRef

A pointer to the user data passed to the training done callback function.

XDp_IntrHandler XDp_Rx::IntrTrainingDoneHandler

Callback function for training done interrupts.

void* XDp_Rx::IntrTrainingLostCallbackRef

A pointer to the user data passed to the training lost callback function.

XDp_IntrHandler XDp_Rx::IntrTrainingLostHandler

Callback function for training lost interrupts.

void* XDp_Rx::IntrUnplugCallbackRef

A pointer to the user data passed to the unplug callback function.

XDp_IntrHandler XDp_Rx::IntrUnplugHandler

Callback function for unplug interrupts.

void* XDp_Rx::IntrVBlankCallbackRef

A pointer to the user data passed to the vertical blanking callback function.

XDp_IntrHandler XDp_Rx::IntrVBlankHandler

Callback function for vertical blanking interrupts.

void* XDp_Rx::IntrVideoCallbackRef

A pointer to the user data passed to the valid video callback function.

XDp_IntrHandler XDp_Rx::IntrVideoHandler

Callback function for valid video interrupts.

void* XDp_Rx::IntrVmChangeCallbackRef

A pointer to the user data passed to the video mode change callback function.

XDp_IntrHandler XDp_Rx::IntrVmChangeHandler

Callback function for video mode change interrupts.

XDp_RxLinkConfig XDp_Rx::LinkConfig

Configuration structure for the main link.

XDp_RxTopology XDp_Rx::Topology

Topology of connected sinks to the RX.